SAS/AF Unable to edit catalogs

Reply
New Contributor
Posts: 2

SAS/AF Unable to edit catalogs

Hi,

 

I am working on a application that was originally developed in 2002 - I know right.

 

It has beeen redeveloped over the years I am now atttempting to get it working on SAS/AF 9.4 it was last developed for SAS/AF 9.1.3.

 

I am encountering the following warning message whenever I try to edit the majority of the catalogs.

 

warning: Unable to open catalog LIB.APPLICATION in edit mode, opened in browse mode instead

 

I think it has something to do with the fact the catalogs have been developed in the older version of SAS but I am not sure.

 

Really I am trying to find a way to force unlock the catalogs so I can do my edits.

 

Thank you for your help,

 

Ben  

Super User
Posts: 5,852

Re: SAS/AF Unable to edit catalogs

So how did the migration take place?

The current position from SAS is to migrate via 9.3.

If you still got an 9.1.3 running, try to do a PROC CPORT, or even a PROC DOWNLOAD if you are licencing CONNECT.

Data never sleeps
Valued Guide
Posts: 572

Re: SAS/AF Unable to edit catalogs

It's entirely possible that the problem is caused by the catalogs having been developed in SAS 9.1.3 - I don't know if Proc Migrate http://support.sas.com/documentation/cdl/en/proc/70377/HTML/default/viewer.htm#p00mbor90f24mfn192ma4... works with AF catalogs but it might be worth giving it a shot.

 

Oh and I can easily beat your system for ancientness - until recently I was working on systems developed in SAS v6..................

Super User
Super User
Posts: 9,441

Re: SAS/AF Unable to edit catalogs

Posted in reply to ChrisBrooks

Oh and I can easily beat your system for ancientness - until recently I was working on systems developed in SAS v6..................

 

Yabadabadoo!

 

(Sorry, couldn't resist)

Trusted Advisor
Posts: 1,831

Re: SAS/AF Unable to edit catalogs

Next quote was taken from sas 9.4 documentation:

 SAS does not support update processing for incompatible catalogs, so you must migrate incompatible SCL catalog entries to a compatible SAS release in order to edit them.

see link:

https://support.sas.com/rnd/migration/planning/software/programs.html

 

try to migrate the catalog using current sas version.

Super User
Posts: 9,924

Re: SAS/AF Unable to edit catalogs

I have often found that SAS/AF is used for logic that can be solved with macro programming as well. Inspect the logic in light of this, and if it is the case, do the switch. It remedies the catalog version problem once and for all, as macro code is just text in .sas files. And it lets you reduce your license cost.

---------------------------------------------------------------------------------------------
Maxims of Maximally Efficient SAS Programmers
How to convert datasets to data steps
How to post code
New Contributor
Posts: 2

Re: SAS/AF Unable to edit catalogs

Thank you for all your speedy and interesting replies. Slightly embarrassing some of the catalogs had read only access in place probably by the previous developer. Changing these permission unlocked the catalogs for me. I did have a look at the compatibility calculator on one of the links in the replies it said there shouldn't be a issue but it is somthing to bear in mind if I encounter further issues.

 

Thanks again for your replies,

 

Ben 

SAS Employee
Posts: 17

Re: SAS/AF Unable to edit catalogs

Here are a few more compatibility notes for SAS/AF specifically:

https://support.sas.com/rnd/migration/planning/software/af.html

Ask a Question
Discussion stats
  • 7 replies
  • 271 views
  • 3 likes
  • 7 in conversation